Skip to content
Snippets Groups Projects
Commit a5326996 authored by Christian Engwer's avatar Christian Engwer
Browse files

[dunecontrol]

improve error message for invalid module names

[[Imported from SVN: r6881]]
parent 360afd9d
No related branches found
No related tags found
No related merge requests found
......@@ -278,10 +278,12 @@ _check_deps()
local report="ERROR"
local requires="requires"
local required="required"
local dependency="dependency"
if test "x$mode" = "xSUGS"; then
report="WARNING"
requires="suggests"
required="suggested"
dependency="suggestion"
fi
eval deps=\$${mode}_$module
#initially remove leading space
......@@ -305,7 +307,7 @@ _check_deps()
deps=`echo ${deps//^[, ]}`
dep=$(fix_variable_name $name)
if ! check_modname $dep; then
echo "ERROR: invalid module name $name" >&2
echo "ERROR: invalid module name $name ($dependency of $module)" >&2
exit 1
fi
if eval test x\$HAVE_$dep != "x"; then
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment